using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine.UI;

public static class UIUtils
{
    public static void BindBtn(Button pBtn, UnityAction pDel, AudioClipType pSound = AudioClipType.None)
    {
        pBtn.onClick.AddListener(pDel);

        pBtn.onClick.AddListener(() => { AudioManager.Instance.PlaySound(pSound); });
    }
}